package at.ac.uibk.gitsearch.repository;

import at.ac.uibk.gitsearch.domain.SavedSearches;
import java.util.List;
import org.springframework.data.jpa.repository.*;
import org.springframework.stereotype.Repository;

/**
 * Spring Data SQL repository for the SavedSearches entity.
 */
@SuppressWarnings("unused")
@Repository
public interface SavedSearchesRepository extends JpaRepository<SavedSearches, Long> {
    @Query("select savedSearches from SavedSearches savedSearches where savedSearches.user.login = ?#{principal.username}")
    List<SavedSearches> findByUserIsCurrentUser();
}
