import { IUser } from 'app/entities/user/user.model';

export interface ISavedSearches {
  id?: number;
  name?: string;
  jsonQuery?: string;
  user?: IUser;
}

export class SavedSearches implements ISavedSearches {
  constructor(public id?: number, public name?: string, public jsonQuery?: string, public user?: IUser) {}
}

export function getSavedSearchesIdentifier(savedSearches: ISavedSearches): number | undefined {
  return savedSearches.id;
}
